Package org.eclipse.ltk.core.refactoring.participants

# Class DeleteParticipant

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant
org.eclipse.ltk.core.refactoring.participants.DeleteParticipant

All Implemented Interfaces:
  `IAdaptable`

public abstract class DeleteParticipant extends RefactoringParticipant
A participant to participate in refactorings that delete elements. A delete participant can't assume that its associated refactoring processor is a delete processor. A delete operation might be a side effect of another refactoring operation.

Delete participants are registered via the extension point `org.eclipse.ltk.core.refactoring.deleteParticipants`. Extensions to this extension point must therefore extend this abstract class.

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`DeleteParticipant()`

## Method Summary

Modifier and Type
Method
Description
`DeleteArguments`
`getArguments()`
Returns the delete arguments.
`protected final void`
`initialize(RefactoringArguments arguments)`
Initializes the participant with the refactoring arguments

### Methods inherited from class org.eclipse.ltk.core.refactoring.participants.RefactoringParticipant

`checkConditions, createChange, createPreChange, getName, getProcessor, getTextChange, initialize, initialize`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DeleteParticipant

public DeleteParticipant()

## Method Details

### initialize

protected final void initialize(RefactoringArguments arguments)
Description copied from class: `RefactoringParticipant`
Initializes the participant with the refactoring arguments

Specified by:
  `initialize` in class `RefactoringParticipant`
Parameters:
  `arguments` - the refactoring arguments

### getArguments

public DeleteArguments getArguments()
Returns the delete arguments.

Returns:
  the delete arguments